using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class CustomersAccess  : Daolite.BusinessAccess
	{

		public  CustomersAccess() : base("Customers", NwindConfiger.GetConfiger())
		{
		}


		public Customers[] Query()
		{
			return base.Query<Customers>();
		}


		public Customers[] QueryRelated()
		{
			return base.QueryRelated<Customers>();
		}


		public Customers QueryOne(string CustomerID, bool isRelated)
		{
			return base.QueryOne<Customers>(new Daolite.DataStruct.KeyPairs()
			.Add("CustomerID", CustomerID)
			, isRelated);
		}


	}
}
